/* register.c */

/*   llib - generic library for loading graphical file formats
 *   distributed as part of ArahPaint
 *
 *   Copyright (C) 1993-2001  Arahne d.o.o.
 *   http://www.arahne.si
 *   E-mail: arahne@arahne.si
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include "loadimg.h"

extern void registerLoadPNG(void);
extern void registerLoadPCX(void);
extern void registerLoadJPEG(void);
extern void registerLoadTIFF(void);
extern void registerLoadPBM(void);

#define NUM_LOADERS	5 /* must match the number of functions above */

/* removes keyword identifier in a line of settings; delimiter is '=' */
char *removeHead(char *inpstr)
{
 int i=0;
 int len = strlen(inpstr);

 while ((i < len) && (inpstr[i]!='=')) i++;
 i++;
 return (&inpstr[i]);
}

/* if numLoader is negative, returns number of loader functions, otherwise selects the */
/* one which is passed as parameter */
int returnLoaderFunctions(int numLoader)
{
 if ((numLoader>=0)&&(numLoader<NUM_LOADERS))
  switch (numLoader)
   {
    case 0: registerLoadPNG(); break;   
    case 1: registerLoadPCX(); break;
    case 2: registerLoadJPEG(); break;
    case 3: registerLoadTIFF(); break;   
    case 4: registerLoadPBM(); break;
  }
 return(NUM_LOADERS);
}
